Package org.wso2.carbon.deployment.synchronizer.stub.types.util

## Class RepositoryConfigParameter

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.stub.types.util.RepositoryConfigParameter

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class RepositoryConfigParameter
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  RepositoryConfigParameter bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `RepositoryConfigParameter.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `localMasked` | field for Masked
    `protected boolean` | `localMaskedTracker` |
    `protected int` | `localMaxlength` | field for Maxlength
    `protected boolean` | `localMaxlengthTracker` |
    `protected String` | `localName` | field for Name
    `protected boolean` | `localNameTracker` |
    `protected boolean` | `localRequired` | field for Required
    `protected boolean` | `localRequiredTracker` |
    `protected String` | `localType` | field for Type
    `protected boolean` | `localTypeTracker` |
    `protected String` | `localValue` | field for Value
    `protected boolean` | `localValueTracker` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryConfigParameter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getMasked()` | Auto generated getter method
    `int` | `getMaxlength()` | Auto generated getter method
    `String` | `getName()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `boolean` | `getRequired()` | Auto generated getter method
    `String` | `getType()` | Auto generated getter method
    `String` | `getValue()` | Auto generated getter method
    `boolean` | `isMaskedSpecified()` |
    `boolean` | `isMaxlengthSpecified()` |
    `boolean` | `isNameSpecified()` |
    `boolean` | `isRequiredSpecified()` |
    `boolean` | `isTypeSpecified()` |
    `boolean` | `isValueSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setMasked​(boolean param)` | Auto generated setter method
    `void` | `setMaxlength​(int param)` | Auto generated setter method
    `void` | `setName​(String param)` | Auto generated setter method
    `void` | `setRequired​(boolean param)` | Auto generated setter method
    `void` | `setType​(String param)` | Auto generated setter method
    `void` | `setValue​(String param)` | Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localMasked

          protected boolean localMasked

      field for Masked

    - #### localMaskedTracker

          protected boolean localMaskedTracker

    - #### localMaxlength

          protected int localMaxlength

      field for Maxlength

    - #### localMaxlengthTracker

          protected boolean localMaxlengthTracker

    - #### localName

          protected String localName

      field for Name

    - #### localNameTracker

          protected boolean localNameTracker

    - #### localRequired

          protected boolean localRequired

      field for Required

    - #### localRequiredTracker

          protected boolean localRequiredTracker

    - #### localType

          protected String localType

      field for Type

    - #### localTypeTracker

          protected boolean localTypeTracker

    - #### localValue

          protected String localValue

      field for Value

    - #### localValueTracker

          protected boolean localValueTracker

  - ### Constructor Detail

    - #### RepositoryConfigParameter

          public RepositoryConfigParameter()

  - ### Method Detail

    - #### isMaskedSpecified

          public boolean isMaskedSpecified()

    - #### getMasked

          public boolean getMasked()

      Auto generated getter method
      Returns:
        boolean

    - #### setMasked

          public void setMasked​(boolean param)

      Auto generated setter method
      Parameters:
        `param` - Masked

    - #### isMaxlengthSpecified

          public boolean isMaxlengthSpecified()

    - #### getMaxlength

          public int getMaxlength()

      Auto generated getter method
      Returns:
        int

    - #### setMaxlength

          public void setMaxlength​(int param)

      Auto generated setter method
      Parameters:
        `param` - Maxlength

    - #### isNameSpecified

          public boolean isNameSpecified()

    - #### getName

          public String getName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setName

          public void setName​(String param)

      Auto generated setter method
      Parameters:
        `param` - Name

    - #### isRequiredSpecified

          public boolean isRequiredSpecified()

    - #### getRequired

          public boolean getRequired()

      Auto generated getter method
      Returns:
        boolean

    - #### setRequired

          public void setRequired​(boolean param)

      Auto generated setter method
      Parameters:
        `param` - Required

    - #### isTypeSpecified

          public boolean isTypeSpecified()

    - #### getType

          public String getType()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setType

          public void setType​(String param)

      Auto generated setter method
      Parameters:
        `param` - Type

    - #### isValueSpecified

          public boolean isValueSpecified()

    - #### getValue

          public String getValue()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setValue

          public void setValue​(String param)

      Auto generated setter method
      Parameters:
        `param` - Value

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`